Order Book
Request URL
GET /fmapi/v1/depth
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbolId | STRING | YES | Trading pair |
| scale | INT | YES | Precision, obtained from exchange info |
Response Parameters
| Name | Type | Description |
|---|---|---|
| code | STRING | Response Code |
| msg | STRING | Response Message |
| success | BOOLEAN | Success Flag |
| data | OBJECT | Data Payload |
| data.asks | ARRAY | |
| data.bids | ARRAY | |
| data.e | STRING | |
| data.i | STRING | |
| data.lastUpdateId | INTEGER | |
| data.s | STRING |
Request Example
https://openapi.bittap.com/fmapi/v1/depth?symbolId=BTC-USDT-M&scale=0.01Response Example
{
"code": "0",
"data": {
"asks": [// Sell orders
[
"110222.23",// Price
"0.76881"// Quantity
]
],
"bids": [// Buy orders
[
"110221.11",// Price
"1.215168"// Quantity
]
],
"e": "f_depth30",// Topic
"i": "0.01",// Precision
"lastUpdateId": 730765138,// Last update ID
"s": "BTC-USDT-M"// Trading pair
},
"msg": "Request successful",
"success": true
}Error Codes
| Error Code | Description |
|---|---|
| 500 | Server Error |
Code Example
Last updated on: